<div class="pa-16 card">
  <div igxLayout igxLayoutDir="column">
    <div igxFlex class="mb-5">
      <div igxLayout>
        <div igxFlex>
          <igx-avatar
            src="https://ledius.fra1.digitaloceanspaces.com/lds-token/lds-200x200.png"
            size="medium"
          ></igx-avatar>
        </div>
        <div igxFlex [igxFlexGrow]="12">
          <div class="pt-16" style="text-align: center">
            <span style="color: white; display: inline">
              {{ offer.amount }} LDS
            </span>
          </div>
        </div>
        <div igxFlex>
          <div class="direction-placeholder mt-16">
            <img
              [src]="directionIconsMap[offer.type]"
              alt="DIRECTION"
              style="width: 100%; height: 100%"
            />
          </div>
        </div>
      </div>
    </div>
    <div igxFlex class="mt-5">
      <button igxButton="raised" igxRipple class="d-block button-primary mt-10">
        <div igxLayout igxLayoutDir="row" igxLayoutWrap="nowrap">
          <div igxFlex [igxFlexGrow]="3" class="pr-10">
            <div class="d-block fill-height button-text text-align--end">
              {{ offer.rate.price }} ₽
            </div>
          </div>
          <igx-divider [vertical]="true" class="bg-grays-900"></igx-divider>
          <div igxFlex [igxFlexGrow]="7" class="pl-10">
            <div
              igxLayout
              igxLayoutDir="row"
              igxLayoutWrap="nowrap"
              igxLayoutJustify="center"
            >
              <div igxFlex class="text-align--end mr-5">
                <img
                  src="assets/banknote.svg"
                  alt="MONEY"
                  class="fill-height"
                />
              </div>

              <div igxFlex class="ml-5">
                <div class="d-block fill-height button-text text-align--start">
                  <ng-container *ngIf="isBuy" i18n="@@offerBuy"
                    >Buy</ng-container
                  >
                  <ng-container *ngIf="isSell" i18n="@@offerSell"
                    >Sell</ng-container
                  >
                </div>
              </div>
            </div>
          </div>
        </div>
      </button>
    </div>
  </div>
</div>
